Name: apache-logging-log4j 
Version: 1.2.9
Release: alt0.M24.1

Summary: Java logging package
License: Apache Software License
Group: Development/Java
Packager: Alexey Borovskoy <alb@altlinux.ru>

Url: http://logging.apache.org/log4j/docs
Source0: http://www.apache.org/dist/logging/log4j/1.2.9/logging-log4j-%version.tar.gz
Source1: %name-build.properties 

Patch1: %name-build.patch

BuildPreReq: /proc
BuildPreReq: j2se1.4-sun-devel jaf javamail ant rpm-build-java
#.     .
#BuildPreReq: j2se1.4-sun-javadoc

BuildArch: noarch

Obsoletes: jakarta-log4j

Requires: java-common >= 1.2 j2se >= 1.4.2 jaf javamail jaxp_parser_impl

%description
Log4j is a tool to help the programmer output log statements to a
variety of output targets.

%package manual
Summary: Manual for %name
Group: Development/Java
Requires: %name = %version-%release

%description manual
Documentation for %name

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2
#Requires: j2se1.4-sun-javadoc 

%description javadoc
Javadoc for %name

%package samples
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description samples
Samples for %name

%prep
%setup -qn logging-log4j-%version
%patch1
%__cp %SOURCE1 build.properties

%build
%__ant jar

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir
%__mkdir_p %buildroot%_docdir/%name-%version
%__mkdir_p %buildroot%_datadir/%name

%__install -m644 dist/lib/log4j-%version.jar %buildroot%_javadir/%name.jar
%__mv docs/api %buildroot%_javadocdir/%name

%__mv docs %buildroot%_docdir/%name-%version

%__cp *.txt %buildroot%_docdir/%name-%version

%__mv examples %buildroot%_datadir/%name/samples
%__ln_s %_javadocdir/%name %buildroot%_docdir/%name-%version/docs/api

%files
%dir %_docdir/%name-%version
%_javadir/*.jar
%_docdir/%name-%version/LICENSE.txt

%files manual
%_docdir/%name-%version/docs

%files javadoc
%_javadocdir/%name

%files samples
%_datadir/%name

%changelog
* Mon Apr 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.9-alt0.M24.1
- 1.2.9
- Spec cleanup
- Rename package from jakarta-log4j to apache-logging-log4j

* Mon Jun 14 2004 Alexey Borovskoy <alb@altlinux.ru> 1.2.8-alt2
- Spec cleanup
- Fix %files section
- Use Sun JVM 1.4.2

* Sun Dec 14 2003 Alexey Borovskoy <alb@altlinux.ru> 1.2.8-alt1
- First build for ALTLinux
- Spec cleanup

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.8-7jpp
- Add scripts and freedesktop.org menu entries for LogFactor5 and Chainsaw.
- Include log4j.dtd and install SGML/XML catalogs.
- Require jpackage-utils, jaxp_parser_impl.
- Crosslink with local xml-commons-apis javadocs.
- Don't BuildRequire JUnit, the test suite is not included :(
- Fix Group.

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:1.2.8-6jpp
- add jpackage-utils requirement
- add epochs to all versioned requirements
- use jmx explicitly for now until mx4j works

* Thu Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) laPoste.net> 1.2.8-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-2jpp
- fix ASF license and add packager tag

* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.2.8-1jpp
- log4j 1.2.8

* Thu Oct 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.7-1jpp
- log4j 1.2.7

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.6-1jpp
- log4j 1.2.6

* Wed Jul 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.5-1jpp
- log4j 1.2.5

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.4-2jpp
- section macro

* Thu Jun 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.4-1jpp
- log4j 1.2.4

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-8jpp
- versioned dir for javadoc
- drop j2ee package
- no dependencies for manual and javadoc packages
- adaptation for new jaf and javamail packages

* Sat Dec 8 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-7jpp
- drop j2ee patch

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-6jpp
- javadoc into javadoc package
- drop %{name}-core.jar

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1.3-5jpp
- new jpp extension
- fixed compilation (added activation in the classpath)
- BuildRequires: jaf

* Tue Nov 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-4jpp
- non-free extension classes back in original archive
- removed packager tag

* Tue Oct 9 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-3jpp
- first unified release
- non-free extension as additional package
- s/jPackage/JPackage

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-2mdk
- rebuild with javamail to provide SMTP appender
- add CVS references

* Sun Aug 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-1mdk
- 1.1.3
- used new source packaging policy
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-3mdk
- spec cleanup
- changelog correction
- build with junit

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-2mdk
- merged with Henri Gomez <hgomez@users.sourceforge.net> specs:
-  changed name to log4j
-  changed javadir to /usr/share/java
-  dropped jdk & jre requirement
-  added jikes support
-  changed description
- added xerces requirement
- more macros

* Sun Jan 14 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.4-1mdk
- first Mandrake release
